summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xsnap-src/bin/caddy-control4
-rwxr-xr-xsnap-src/bin/mongodb-control3
-rwxr-xr-xsnap/hooks/configure4
3 files changed, 7 insertions, 4 deletions
diff --git a/snap-src/bin/caddy-control b/snap-src/bin/caddy-control
index 92ce70ba..46d36c6b 100755
--- a/snap-src/bin/caddy-control
+++ b/snap-src/bin/caddy-control
@@ -6,7 +6,7 @@ source $SNAP/bin/wekan-read-settings
if [ "$CADDY_ENABLED" = "true" ]; then
env LC_ALL=C caddy -conf=$SNAP_COMMON/Caddyfile -host=localhost:${CADDY_PORT}
else
- snapctl stop caddy-service 2>&1 || true
+ echo "caddy is disabled. Stop service"
+ snapctl stop --disable ${SNAP_NAME}.caddy
# sleep here, in case snapctl fails to stop service so we do not restart too often
- sleep 60
fi
diff --git a/snap-src/bin/mongodb-control b/snap-src/bin/mongodb-control
index 08af132d..a7a98739 100755
--- a/snap-src/bin/mongodb-control
+++ b/snap-src/bin/mongodb-control
@@ -4,7 +4,8 @@
source $SNAP/bin/wekan-read-settings
if [ "true" == "${DISABLE_MONGODB}" ]; then
- echo "mongodb is disabled. Not starting it"
+ echo "mongodb is disabled. Stop service"
+ snapctl stop --disable ${SNAP_NAME}.mongodb
exit 0
fi
diff --git a/snap/hooks/configure b/snap/hooks/configure
index 89ada296..5dcea5b9 100755
--- a/snap/hooks/configure
+++ b/snap/hooks/configure
@@ -17,6 +17,7 @@ if [ "$value" = "true" ]; then
port=$(snapctl get port)
[ "x" != "x${bind_port}" ] && sed -i 's|proxy / localhost:.* {|proxy / localhost:'"${bind_port}"' {|g' $SNAP_COMMON/Caddyfile
[ "x" != "x$port" ] && sed -i 's|http://:.*|http://:'"${port}"'|g' $SNAP_COMMON/Caddyfile
+ snapctl stop ${SNAP_NAME}.caddy 2>&1 || true
snapctl start --enable ${SNAP_NAME}.caddy 2>&1 || true
else
snapctl stop --disable ${SNAP_NAME}.caddy 2>&1 || true
@@ -26,8 +27,9 @@ value=$(snapctl get disable-mongodb)
if [ "$value" = "true" ]; then
snapctl stop --disable ${SNAP_NAME}.mongodb 2>&1 || true
else
+ snapctl stop ${SNAP_NAME}.mongodb 2>&1 || true
snapctl start --enable ${SNAP_NAME}.mongodb 2>&1 || true
fi
# restart all services
-snapctl restart ${SNAP_NAME} 2>&1 || true
+snapctl restart ${SNAP_NAME}.wekan 2>&1 || true